## haskell-tamarin-prover-utils-1.6.0-75.src.tar.gz

=== plugins/sapic/Makefile ===
TARGET = sapic
OBJS= deoptionalize.cmo color.cmo exceptions.cmo btree.cmo position.cmo positionplusinit.cmo var.cmo term.cmo fact.cmo atomformulaaction.cmo action.cmo atom.cmo formula.cmo verdict.cmo lemma.cmo  tamarin.cmo sapicterm.cmo sapicvar.cmo sapicaction.cmo lexer.cmo  sapic.cmo annotatedsapicaction.cmo annotatedsapictree.cmo progressfunction.cmo restrictions.cmo sufficient.cmo annotatedrule.cmo translationhelper.cmo basetranslation.cmo firsttranslation.cmo main.cmo 
FLAGS=-g

OCAMLC    := $(shell command -v ocamlc    2> /dev/null)
OCAMLLEX  := $(shell command -v ocamllex  2> /dev/null)
OCAMLYACC := $(shell command -v ocamlyacc 2> /dev/null)
OCAMLDEP  := $(shell command -v ocamldep  2> /dev/null)
OCAMLC_GTEQ_402 := $(shell expr `ocamlc -version | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/'` \>= 40200)

default: sapic

sapic:
ifdef OCAMLC
	@echo "Found ocamlc."
ifdef OCAMLLEX
	@echo "Found ocamllex."
ifdef OCAMLYACC
	@echo "Found ocamlyacc."
ifdef OCAMLDEP
	@echo "Found ocamldep."
ifeq "$(OCAMLC_GTEQ_402)" "1"
	@echo "Building SAPIC."
	$(MAKE) $(OBJS)
	ocamlc $(FLAGS) -o $@ str.cma $(OBJS)
	@echo "Installing SAPIC into ~/.local/bin/"
	cp sapic ~/.local/bin
else
	@echo "Found OCAML version < 4.02. SAPIC will not be installed."
endif
else
	@echo "ocamldep not found. SAPIC will not be installed."
endif
else
	@echo "ocamlyacc not found. SAPIC will not be installed."
endif
else
	@echo "ocamllex not found. SAPIC will not be installed."
endif
else
	@echo "ocamlc not found. SAPIC will not be installed."
endif

depend:
	ocamldep *.ml *.mli > .depend

lexer.ml: sapic.cmi

.PHONY: clean
clean:
	rm -rf *.cmi *.cmo $(TARGET)
	rm -rf sapic.ml sapic.mli lexer.ml lexer.mli

.SUFFIXES: .ml .mli .mll .mly .cmo .cmi

.ml.cmo:
	ocamlc $(FLAGS) -c $<
.mli.cmi:
	ocamlc $(FLAGS) -c $<
.mll.ml:
	ocamllex $<
.mly.ml:
	ocamlyacc $<
.ml.mli:
	ocamlc -i $< > $@

-include .depend

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Arch Haskell Team <arch-haskell@haskell.org>

_hkgname=tamarin-prover-utils
pkgname=haskell-tamarin-prover-utils
pkgver=1.6.0
pkgrel=75
pkgdesc="Utility library for the tamarin prover"
url="http://www.infsec.ethz.ch/research/software/tamarin"
license=("GPL")
arch=('x86_64')
depends=('ghc-libs' 'haskell-sha' 'haskell-base64-bytestring' 'haskell-blaze-builder'
         'haskell-dlist' 'haskell-fclabels' 'haskell-safe' 'haskell-syb')
makedepends=('ghc')
source=("tamarin-prover-$pkgver.tar.gz::https://github.com/tamarin-prover/tamarin-prover/archive/$pkgver.tar.gz")
sha512sums=('7f3569f740d63d715b92a8f073eaecb8b32efe59b910b246977d36bb9e873765440e72feb6e76c7cbafab0495b88cfc666bb1dd12f685627c60d5cbd97b2973e')

build() {
    cd "${srcdir}/tamarin-prover-${pkgver}/lib/utils"
    
    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
        --prefix=/usr --docdir=/usr/share/doc/$pkgname \
        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
    runhaskell Setup build $MAKEFLAGS
    runhaskell Setup register --gen-script
    runhaskell Setup unregister --gen-script
    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
}

package() {
    cd "${srcdir}/tamarin-prover-${pkgver}/lib/utils"
    
    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
    runhaskell Setup copy --destdir="$pkgdir"
    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
}
